.flex-1 {
    flex: 1;
}

.customer-dashboard-section .customer-dashboard-side-navbar {
    padding-bottom: 1rem;
}

.customer-dashboard-side-navbar-mobile {
    position: fixed !important;
    top: 0;
    left: -100%;
    z-index: 10;
    transition: 800ms;
    max-width: 315px;
    width: 100%;
    height: 100vh;
    overflow-y: auto;
    overflow-x: hidden;
    backdrop-filter: blur(10px);
    opacity: 1;
}

.catagory-side-navbar-mobile {
    position: absolute !important;
    top: 0;
    left: -250%;
    z-index: 2;
    transition: 800ms;
    max-width: 315px;
    width: 100%;
    height: 100%;
    overflow-y: auto;
    overflow-x: hidden;
}

.dashboard-side-navbar-togol-mobile {
    position: absolute;
    top: 10px;
    right: 10px;
}

.customer-dashboard-profile h2 {
    font-size: 24px;
}

.customer-dashboard-profile h2 span {
    color: var(--color-FC7024);
}

.customer-dashboard-profile p {
    font-size: 18px;
}

.customer-dashboard-profile-avatar {
    height: 64px;
    width: 64px;
    object-fit: cover;
    margin: auto;
}

.customer-dashboard-profile-avatar img {
    height: 64px;
    width: 64px;
}


.customer-dashboard-side-nav .customer-dashboard-nav-link {
    border-left: 4px solid var(--color-white);
    color: var(--color-414042);
    position: relative;
    padding: 10px 28px;
}

.customer-dashboard-side-nav .dropdown-conteiner {
    max-height: 0;
    overflow: hidden;
    transition: max-height 600ms ease-in-out;
}

.customer-dashboard-side-nav .dropdown-conteiner.show {
    max-height: 400px;
    /* Adjust this value as needed */
}

.customer-dashboard-side-nav .dropdown {
    position: absolute;
    right: 20px;
    transition: transform 300ms ease-in-out;
}

.customer-dashboard-side-nav .rotate {
    transform: rotate(90deg);
}

.customer-dashboard-dropdown-link {
    border-left: 4px solid white;
    color: var(--color-414042);
    position: relative;
}

.customer-dashboard-nav-link:hover,
.customer-dashboard-nav-link:active,
.customer-dashboard-nav-link:focus,
.customer-dashboard-dropdown-link:hover,
.customer-dashboard-dropdown-link:active,
.customer-dashboard-dropdown-link:focus {
    background: var(--color-dcfff6);
    border-left: 4px solid var(--color-FC7024);
    cursor: pointer;
}

.customer-dashboard-side-nav .activ-link {
    background: var(--color-dcfff6);
    border-left: 4px solid var(--color-FC7024) !important;
}

.parent-nav-item .dropdown-conteiner .activ-link {
    background: var(--color-dcfff6) !important;
    border-left: 4px solid var(--color-FC7024) !important;

}

.customer-dashboard-nav-link:active,
.customer-dashboard-nav-link:hover {
    background-color: var(--color-dcfff6) !important;
    border-left: 4px solid var(--color-FC7024) !important;
}

.customer-dashboard-side-nav .activ-link .nav-icon {
    color: var(--color-FC7024);
}

.customer-dashboard-nav-link:focus .nav-icon,
.customer-dashboard-nav-link:active .nav-icon {
    color: var(--color-FC7024);
}

.customer-dashboard-dropdown-link:hover span,
.customer-dashboard-dropdown-link:active span,
.customer-dashboard-dropdown-link:focus span {
    background: var(--color-FC7024);
    border: 1px solid var(--color-FC7024) !important;
}

.customer-dashboard-side-nav .dropdown-conteiner .dropdown-item-circle {
    border: 1px solid var(--color-414042);
    border-radius: 100%;
    height: 6px;
    width: 6px;
    display: inline-block;
    margin: 2px 4px;
}

.customer-dashboard-dropdown-link {
    padding: 8px 0px 8px 32px;
    display: block;
}

/* Right side style  */
.customer-dashboard-title-bar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 16px;
    border-bottom: 1px solid var(--color-D8D8D8);
}

.customer-dashboard-display-area {
    padding: 16px;
}

.customer-dashboard-section .balance-area {
    background-image: url("../images/User-01.png");
}

.customer-dashboard-section .shopping-alance-area {
    background-image: url("../images/User-02.png");
}

.customer-dashboard-section .ordered-area {
    background-image: url("../images/User-03.png");
}

.customer-dashboard-section .in-cart-area {
    background-image: url("../images/User-04.png");
}

.customer-dashboard-section .balance-area,
.customer-dashboard-section .shopping-alance-area,
.customer-dashboard-section .ordered-area,
.customer-dashboard-section .in-cart-area {
    background-size: cover;
    background-repeat: no-repeat;
    min-height: 150px;
    padding: 15px;
    border-radius: 12px;
    color: var(--color-white);
}

.customer-dashboard-section .balance-area h3,
.customer-dashboard-section .shopping-alance-area h3,
.customer-dashboard-section .ordered-area h3,
.customer-dashboard-section .in-cart-area h3 {
    color: var(--color-white);
}

.customer-dashboard-card {
    background: var(--color-white);
    border-radius: 8px;
}

.customer-dashboard-address {
    max-height: 380px;
    overflow-y: auto;
}

.add-new-address-bar {
    max-width: 350px;
    margin: 0 auto;
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    border: 1px solid var(--color-D8D8D8);
    border-radius: 6px;
    padding: 1.5rem;
    gap: 16px;

}

.customer-dashboard-affiliate-badge {
    width: 100px;
    height: 100px;
    position: relative;
}

.customer-dashboard-affiliate-badge img {
    width: 100px;
    height: 100px;
    object-fit: cover;
}

.customer-dashboard-section .affiliate-status-title h4 {
    color: var(--color-44BC9D);
    margin: 0;
}

.customer-dashboard-section .shaipping-from-area input:focus {
    box-shadow: none;
    border: 1px solid var(--color-D8D8D8);
}

.customer-dashboard-section button:focus {
    box-shadow: none;
}

.customer-dashboard-section .shaipping-from-area textarea:focus {
    box-shadow: none;
    border: 1px solid var(--color-D8D8D8);
}

.customer-address-action-container {
    position: absolute;
    top: 20px;
    right: 0;
    background-color: var(--color-white);
    border: 1px solid var(--color-D8D8D8);
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    z-index: 1;
}

.customer-address-action-btn {
    position: relative;
    display: inline-block;
    cursor: pointer;
    z-index: 1;
}

.customer-address-action-item {
    padding: 10px 16px;
    cursor: pointer;

}

.customer-address-action-item:hover {
    background: var(--color-D8D8D8);
}